Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.metadata.mtm
Class MtmWeightedAverageAggregationStep

    java.lang.Object
      |
      +--oracle.olapi.metadata.BaseMetadataObject
            |
            +--oracle.olapi.metadata.mtm.MtmObject
                  |
                  +--oracle.olapi.metadata.mtm.MtmAggregationStep
                        |
                        +--oracle.olapi.metadata.mtm.MtmWeightedAverageAggregationStep

public class MtmWeightedAverageAggregationStep
extends MtmAggregationStep

An `MtmAggregationStep` that specifies a weighted average aggregation of the measure values for the node levels of the hierarchies of the dimensions of this `MtmAggregationStep`.

You can specify a weighting factor with the `setWeight` function. The weighting factor can be a constant, an expression, or an existing column. With the `getIsHierarchical` and `setIsHierarchical` methods, you can discover or specify whether this aggregation step includes `null` values in its averaging calculation.

You can create an instance of this class with the `createMtmWeightedAverageAggregationStep` method of an `MtmObjectFactory`.

Method Summary
`java.lang.Object` | `acceptVisitor(MtmObjectVisitor visitor, java.lang.Object context)` Calls the `visitMtmWeightedAverageAggregationStep` method of the specified `MtmObjectVisitor` and passes that method this `MtmWeightedAverageAggregationStep` and the specified `context` object.
`MtmValueExpression` | `getWeight()` Gets the weighting factor to apply to the average values specified by this `MtmWeightedAverageAggregationStep`.
`boolean` | `isHierarchical()` Indicates whether Oracle OLAP includes `null` measure values in the count of values specified by the children of a node element of a dimension that it uses to calculate the average value for the node element.
`void` | `setIsHierarchical(boolean isHierarchical)` Specifies whether Oracle OLAP includes `null` measure values in the count of values specified by the children of a node element of a dimension that it uses to calculate the average value for the node element.
`void` | `setWeight(MtmValueExpression weight)` Specifies the weighting factor to apply to the average values specified by this `MtmWeightedAverageAggregationStep`.

Methods inherited from class oracle.olapi.metadata.mtm.MtmAggregationStep
`addDimensionMap, getDimensionMaps, removeDimensionMap`

Methods inherited from class oracle.olapi.metadata.BaseMetadataObject
`getID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### acceptVisitor

    public java.lang.Object acceptVisitor(MtmObjectVisitor visitor,
                                          java.lang.Object context)

  Calls the `visitMtmWeightedAverageAggregationStep` method of the specified `MtmObjectVisitor` and passes that method this `MtmWeightedAverageAggregationStep` and the specified `context` object.
  Overrides:
    acceptVisitor in class MtmObject
  Parameters:
    `visitor` - An `MtmObjectVisitor`.
    `context` - An `Object`.
  Returns:
    The `Object` returned by the `visitMtmWeightedAverageAggregationStep` method.

### isHierarchical

    public boolean isHierarchical()

  Indicates whether Oracle OLAP includes `null` measure values in the count of values specified by the children of a node element of a dimension that it uses to calculate the average value for the node element.
  Returns:
    `true` if Oracle OLAP includes `null` measure values in the count of values, or `false` if it does not.

### getWeight

    public MtmValueExpression getWeight()

  Gets the weighting factor to apply to the average values specified by this `MtmWeightedAverageAggregationStep`.
  Returns:
    An `MtmValueExpression` that specifies the weighting factor that applies to the average values specified by this `MtmWeightedAverageAggregationStep`.

### setIsHierarchical

    public void setIsHierarchical(boolean isHierarchical)

  Specifies whether Oracle OLAP includes `null` measure values in the count of values specified by the children of a node element of a dimension that it uses to calculate the average value for the node element. Specify `true` if you want to include `null` measure values in the count of values. Specify `false` if you do not want to include `null` measure values in the count of values.
  Parameters:
    `isHierarchical` - A `boolean` that specifies whether to include `null` measure values in the count of values.

### setWeight

    public void setWeight(MtmValueExpression weight)

  Specifies the weighting factor to apply to the average values specified by this `MtmWeightedAverageAggregationStep`. The weighting factor can be a constant, an expression, such as a custom expression that you create, or an column, such as an existing column in a table.
  Parameters:
    `weight` - An `MtmValueExpression` that specifies a weighting factor to apply to the average values specified by this `MtmWeightedAverageAggregationStep`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.